'use client';

import { ToastProvider, ToastContainer } from '@zen/core/toast';
import { ThemeWatcher } from '@zen/core/themes';

export function ZenProvider({ children }) {
  return (
    <ToastProvider>
      <ThemeWatcher />
      {children}
      <ToastContainer />
    </ToastProvider>
  );
}
